<template>
    <div>
        <div v-if="size === 'sm'">
            <div class="w-full h-full z-10 bg-gray-900 bg-opacity-50 fixed inset-0">
                <div class="p-4 fixed centered w-full max-w-sm h-full">
                    <div class="relative rounded-lg shadow bg-gray-100">
                        <button @click="$emit('close')" type="button" class="absolute top-3 right-2.5 text-gray-100 bg-red-600 hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center">
                            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                            <span class="sr-only">Close modal</span>
                        </button>
                        <div class="p-6 text-center">
                            <h3 class="mb-5 text-lg font-normal text-gray-900">
                                <slot name="header"> </slot>
                            </h3>
                            <button @click="$emit('click')" type="button" class="text-gray-100 bg-green-600  focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10">OK</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="size === 'lg'">
            <div class="w-full h-full z-10 bg-gray-900 bg-opacity-50 fixed top-0 right-0 bottom-0 left-0">
                <div class="p-4 fixed left-1/3 top-1/3 w-full max-w-lg h-full">
                    <div class="relative rounded-lg shadow bg-gray-100">
                        <button @click="$emit('close')" type="button" class="absolute top-3 right-2.5 text-gray-100 bg-red-600 hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center">
                            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                            <span class="sr-only">Close modal</span>
                        </button>
                        <div class="p-6 text-center">
                            <h3 class="mb-5 text-lg font-normal text-gray-900">
                                <slot name="header"> </slot>
                            </h3>
                            <button @click="$emit('click')" type="button" class="text-gray-100 bg-green-600  focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10">OK</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="size === 'full'">
            <div class="w-full h-full z-10 bg-gray-900 bg-opacity-50 fixed top-0 right-0 bottom-0 left-0">
                <div class="p-4 fixed top-1/3 right-0 w-full max-w-full h-full">
                    <div class="relative rounded-lg shadow bg-gray-100">
                        <button @click="$emit('close')" type="button" class="absolute top-3 right-2.5 text-gray-100 bg-red-600 hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center">
                            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                            <span class="sr-only">Close modal</span>
                        </button>
                        <div class="p-6 text-center">
                            <h3 class="mb-5 text-lg font-normal text-gray-900">
                                <slot name="header"> </slot>
                            </h3>
                            <button @click="$emit('click')" type="button" class="text-gray-100 bg-green-600  focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10">OK</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div v-else>
            <div class="w-full h-full bg-gray-900 bg-opacity-50 fixed top-0 right-0 bottom-0 left-0">
                <div class="p-4 fixed right-1/3 top-1/3 w-full max-w-md h-full">
                    <div class="relative rounded-lg shadow bg-gray-100">
                        <button @click="$emit('close')" type="button" class="absolute top-3 right-2.5 text-gray-100 bg-red-600 hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center">
                            <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                            <span class="sr-only">Close modal</span>
                        </button>
                        <div class="p-6 text-center">
                            <h3 class="mb-5 text-lg font-normal text-gray-900">
                                <slot name="header"> </slot>
                            </h3>
                            <button @click="$emit('click')" type="button" class="text-gray-100 bg-green-600  focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10">{{label}}</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        props: {
            size: {
                type: String,
                default: 'sm'
            },
            label: {
                type: String,
                default: 'OK'
            }
        },
        computed: {

        }
    }
</script>

<style>
.centered {
    top: 25%;
    left: 35%;
}
</style>